WhatPulse not opening on Manjaro Linux (Arch distro)

[thomas@Intrepid ~]$ whatpulse
qt5ct: using qt5ct plugin
12-05-2019 15:39:56.229  INFO "Starting WhatPulse 2.8.4-1633..." 
QObject::startTimer: Timers cannot have negative intervals
qt5ct: D-Bus system tray: no
12-05-2019 15:39:56.243 DEBUG Database file:  "/home/thomas/.local/share/WhatPulse/whatpulse.db" 
12-05-2019 15:39:56.244 DEBUG Database check:  "ok" 
Application crashed with signal 11!
0 [whatpulse(+0x199f90) [0x563d99e97f90]]
1 [whatpulse(+0x1a2c7e) [0x563d99ea0c7e]]
2 [whatpulse(+0x1a2e35) [0x563d99ea0e35]]
3 [whatpulse(+0x1a3015) [0x563d99ea1015]]
4 [whatpulse(+0x1a949a) [0x563d99ea749a]]
5 [/usr/lib/libsqlite3.so.0(+0xca536) [0x7f1b5c2fc536]]
6 [/usr/lib/qt/plugins/sqldrivers/libqsqlite.so(+0x7a84) [0x7f1b5d4eda84]]
7 [/usr/lib/qt/plugins/sqldrivers/libqsqlite.so(+0xaa9a) [0x7f1b5d4f0a9a]]
Aborted
[thomas@Intrepid ~]$ 

Anyone able to help me with this? I have installed sqlite, and sqlite3 from the official repos, and sqlite2 from AUR.

Got a new job and company forces me to use Fedora 30 – kind of the same issue there… haven’t solved it yet sadly :frowning:

It’s the same for me with Gentoo as well. There was a thread once for Ubuntu 18.10, but it’s gone. Doesn’t seem like there will be any fix soon. Your best bet is using the previous version with static Qt4 from somewhere, nothing else works really.

found the old version, now it complains about AES functions missing… openssl-devel is installed though…

okay, I got it to run on fedora 30!

I needed to use the 2.8.3 version of whatpulse and downgrade openssl to 1.0.2 → install the package called “compat-openssl10-devel” with the --allowerasing switch